import axios from 'axios'

export default {
    getProjectList () {
        return new Promise((resolve,reject) =>{
            axios.get('/getProjectList')
                .then(({data}) => {
                    resolve(data)})
                .catch((error) => {
                    reject(new Error(`${error} 요청 실패입니다.`));
            })
        })
    },
    projectModify (data) {
        console.log("파라미터 : " ,data)
        return new Promise((resolve,reject) =>{
            axios.post('/teachingInfoModify',data)
                .then(({data}) => {
                    resolve(data)})
                .catch((error) => {
                    reject(new Error(`${error} 요청 실패입니다.`));
            })
        })
    }
} 