import projectService from '@/service/project'

export const getProjectList = ({commit}) => {
    projectService.getProjectList()
        .then(data => {
            commit('projectList',data)
        })
}

export const modifyPoject = ({commit}, info) => {
    commit('modifyPoject', info)
}

export const projectUpdate = ({commit}, updateData) => {
    commit('projectUpdate', updateData)
}

export const projectAdd = ({commit}, newData) => {
    commit('projectAdd', newData)
}
